## Configurations

- [Neovim Nightly](https://github.com/neovim/neovim)
- [Fish Shell](https://github.com/fish-shell/fish-shell)
- And more

Pick and choose - you might want to change some stuff (git config for example).

## Fonts

You will have to install the fonts I use in these dotfiles separately

- [ttf-jetbrains-mono-nerd](https://github.com/ryanoasis/nerd-fonts)

## Tools

- [ripgrep](https://github.com/BurntSushi/ripgrep) `grep` alternative (used by nvim)
- [fd](https://github.com/sharkdp/fd) - `find` alternative (used by nvim)
- [lsd](https://github.com/lsd-rs/lsd) - `ls` alternative

## Usage

- Clone the repository (e.g into `~/.dotfiles`)

```
git clone https://git.nikos.gg/nikos/dotfiles.git ~/.dotfiles
cd ~/.dotfiles
```

- For automated dotfile linking use [just](https://github.com/casey/just)
- Use `just add target` where target is the config directory

```
cd ~/.dotfiles
just add fish
just add nvim
just add wezterm
```

- Or, manually link the directory you need

```
ln -s ~/.dotfiles/fish/dot-config/fish ~/.config/fish
ln -s ~/.dotfiles/nvim/dot-config/nvim ~/.config/nvim
ln -s ~/.dotfiles/wezterm/dot-config/wezterm ~/.config/wezterm
```
