set -U fish_greeting

alias lsd="lsd --group-directories-first"
alias newkey="gpg-connect-agent \"scd serialno\" \"learn --force\" /bye"
alias usepodman="set -x -g DOCKER_HOST unix://(podman info --format '{{.Host.RemoteSocket.Path}}')"
abbr gs git status
abbr gc git commit
abbr gap git add -p
abbr gps git push
abbr gpl git pull
type -q nvim && abbr vim nvim
type -q doas && abbr sudo doas
if type -q lsd
    abbr ls lsd
    abbr ll lsd -l
    abbr la lsd -la
    abbr llg lsd -lg
end

# Environment variables
set -x -g RUSTUP_HOME $XDG_DATA_HOME/rustup
set -x -g CARGO_HOME $HOME/.cargo
set -x -g PATH $CARGO_HOME/bin $RUSTUP_HOME/bin $HOME/.local/bin $PATH

type -q zoxide && zoxide init fish | source
test -e ~/.asdf && source ~/.asdf/asdf.fish
